<template>
  <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" viewBox="0 0 30 30" fill="none"
    @mouseenter="mouseEnter"
    @mouseleave="mouseLeave"
  >
    <circle cx="15" cy="15" r="14.5" :fill="circle" :stroke="plus" />
    <path d="M14.9999 9.28564V20.3571" stroke="white" stroke-width="2" stroke-linecap="round" />
    <path d="M20.3571 14.8214L9.28563 14.8214" stroke="white" stroke-width="2" stroke-linecap="round" />
  </svg>
</template>

<script>
import { ref } from 'vue'
export default {
  setup () {
    const circle = ref('none')
    const plus = ref('white')
    const mouseEnter = () => {
      circle.value = '#D58C51'
      plus.value = 'none'
    }
    const mouseLeave = () => {
      circle.value = 'none'
      plus.value = 'white'
    }
    return {
      circle, plus, mouseEnter, mouseLeave
    }
  }
}
</script>
